> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paypal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List disputes

> Lists disputes with a summary set of details, which shows the <code>dispute_id</code>, <code>reason</code>, <code>status</code>, <code>dispute_state</code>, <code>dispute_life_cycle_stage</code>, <code>dispute_channel</code>, <code>dispute_amount</code>, <code>create_time</code> and <code>update_time</code> fields.<br/><br/>To filter the disputes in the response, specify one or more optional query parameters. To limit the number of disputes in the response, specify the <code>page_size</code> query parameter.<br/><br/>To list multiple disputes, set these query parameters in the request:<ul><li><code>page_size=2</code></li><li><code>start_time</code> instead of <code>disputed_transaction_id</code></li></ul><br/>If the response contains more than two disputes, it lists two disputes and includes a HATEOAS link to the next page of results.



## OpenAPI

````yaml /api-reference/customer_disputes_v1.json get /v1/customer/disputes
openapi: 3.0.3
info:
  title: Disputes
  description: >-
    Occasionally, something goes wrong with a customer's order. To dispute a
    charge, a customer can create a dispute with PayPal. PayPal merchants,
    partners, and external developers can use the PayPal Disputes API to manage
    customer disputes.<blockquote><strong>Note:</strong> In the live
    environment, merchants cannot create disputes but can only respond to
    customer-created disputes. However, merchants can create disputes in the
    sandbox environment. When you create an app, enable Disputes in the App
    feature options section.</blockquote>A customer can also ask his or her bank
    or credit card company to dispute and reverse a charge, which is known as a
    <i>chargeback</i>. For more information, see <a
    href="https://www.paypal.com/us/brc/article/customer-disputes-claims-chargebacks-bank-reversals">Disputes,
    claims, chargebacks, and bank reversals</a>.<br/><br/>When a customer
    disputes a charge, you can use this API to provide evidence that the charge
    is legitimate. To provide evidence or appeal a dispute, you submit a proof
    of delivery or proof of refund document or notes, which can include
    logs.<br/><br/>Normally, an agent at PayPal creates a dispute, updates the
    dispute status, and settles disputes, but now you can run test cases in the
    sandbox that complete these
    operations.<br/><br/><blockquote><strong>Important:</strong> The create,
    cancel, compute metrics, change reason, and validate eligibility methods are
    available as a limited-release solution at this time. For more information,
    reach out to your PayPal account manager.</blockquote><br/>For details, see
    <a href="/docs/integration/direct/customer-disputes/">Disputes Overview</a>
    documentation.
  version: '1.11'
  contact: {}
servers:
  - url: https://api-m.sandbox.paypal.com
    description: PayPal Sandbox Environment
  - url: https://api-m.paypal.com
    description: PayPal Live Environment
security: []
tags:
  - name: disputes
    description: >-
      Use the `/disputes` resource to list disputes, create disputes, show
      dispute details, and partially a dispute. Normally, an agent at PayPal
      creates disputes but now you can run test cases in the sandbox that create
      disputes.
  - name: disputes-actions
    description: >-
      Use the `/disputes` resource with a dispute ID and an action
      to:<ul><li>Accept a claim.</li><li>Accept an offer to resolve a
      dispute.</li><li>Acknowledge the return of an item related to a
      dispute.</li><li>Settle a dispute.</li><li>Appeal a
      dispute.</li><li>Cancel a dispute.</li><li>Change the reason for a
      dispute.</li><li>Deny an offer to resolve dispute.</li><li>Escalate a
      dispute to a claim.</li><li>Make an offer to resolve a
      dispute.</li><li>Make an offer to resolve a dispute.</li><li>Provide
      evidence for a dispute.</li><li>Provide supporting information for
      dispute.</li><li>In the sandbox, update the dispute status.</li><li>Send a
      message about a dispute to the other party in the dispute.</li><ul>
  - name: referred-disputes
    description: >-
      Use the `/customer/referred-disputes` resource to create a dispute for a
      referred case that was created by a partner or marketplace, show details
      for a referred dispute, by ID, notify referred refunds completed to
      PayPal, notify PayPal about referred dispute adjudication updates, and
      determine the dispute eligibility for referred disputes.
  - name: validate-eligibility
    description: >-
      Use the `/validate-eligibility/` resource to determine whether you can
      create a case for a transaction.
  - name: compute-metrics
    description: Use the `/compute-metrics` resource to provide metrics for all disputes.
  - name: validate-referred-dispute-eligibility
    description: >-
      Use the `/validate-referred-dispute-eligibility` resource to determine
      whether you can create a referred case for a transaction, by encrypted
      transaction ID.
  - name: referred-disputes
    description: >-
      Use the `/referred-disputes` resource to create a dispute for a referred
      case that was created by a partner or marketplace, show details for a
      referred dispute, by ID, notify referred refunds completed to PayPal,
      notify PayPal about referred dispute adjudication updates, and determine
      the dispute eligibility for referred disputes.
  - name: referred-disputes-actions
    description: >-
      Use the `/referred-disputes` resource with a dispute ID and an action to
      notify PayPal about adjudication updates for a referred dispute and notify
      PayPal about a refund for a referred dispute.
  - name: partner-actions
    description: >-
      Use the `/disputes/{id}/partner-actions/` resource to show dispute action
      details and partially update a dispute action.
  - name: search-suggestions
    description: Use the `/search-suggestions` resource to show search suggestions.
  - name: dispute-events
    description: Use the `/dispute-events` resource to send dispute events.
  - name: refund-preference
    description: >-
      Use the `/disputes/{id}/provide-refund-preference` resource to provide
      refund preferences for the dispute.
  - name: return-compensation
    description: >-
      Use the `/disputes/{id}/return-compensation` resource to return the
      compensation on the dispute provided by PayPal to the customer.
externalDocs:
  url: https://developer.paypal.com/docs/api/customer-disputes/v1/
paths:
  /v1/customer/disputes:
    get:
      tags:
        - disputes
      summary: List disputes
      description: >-
        Lists disputes with a summary set of details, which shows the
        <code>dispute_id</code>, <code>reason</code>, <code>status</code>,
        <code>dispute_state</code>, <code>dispute_life_cycle_stage</code>,
        <code>dispute_channel</code>, <code>dispute_amount</code>,
        <code>create_time</code> and <code>update_time</code>
        fields.<br/><br/>To filter the disputes in the response, specify one or
        more optional query parameters. To limit the number of disputes in the
        response, specify the <code>page_size</code> query
        parameter.<br/><br/>To list multiple disputes, set these query
        parameters in the
        request:<ul><li><code>page_size=2</code></li><li><code>start_time</code>
        instead of <code>disputed_transaction_id</code></li></ul><br/>If the
        response contains more than two disputes, it lists two disputes and
        includes a HATEOAS link to the next page of results.
      operationId: disputes.list
      parameters:
        - $ref: '#/components/parameters/start_time'
        - $ref: '#/components/parameters/disputed_transaction_id'
        - $ref: '#/components/parameters/page_size'
        - $ref: '#/components/parameters/next_page_token'
        - $ref: '#/components/parameters/dispute_state'
        - $ref: '#/components/parameters/update_time_before'
        - $ref: '#/components/parameters/update_time_after'
      responses:
        '200':
          description: >-
            A successful request returns the HTTP <code>200 OK</code> status
            code and a JSON response body that lists disputes with a full or
            summary set of details. Default is a summary set of details, which
            shows the <code>dispute_id</code>, <code>reason</code>,
            <code>status</code>, <code>dispute_amount</code>,
            <code>create_time</code>, and <code>update_time</code> fields for
            each dispute.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispute_search'
        '400':
          description: >-
            The request failed due to a validation error. The request returns
            the HTTP `400 Bad Request` status code.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        default:
          description: The error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
      security:
        - Oauth2:
            - https://uri.paypal.com/services/disputes/read-buyer
        - Oauth2:
            - https://uri.paypal.com/services/disputes/read-seller
        - Oauth2:
            - https://uri.paypal.com/services/disputes/read-ebay
        - Oauth2:
            - https://uri.paypal.com/services/disputes/read
        - Oauth2:
            - https://uri.paypal.com/services/disputes/read-partner
components:
  parameters:
    start_time:
      name: start_time
      in: query
      description: >-
        Filters the disputes in the response by a creation date and time. The
        start time must be within the last 180 days. Value is in [Internet date
        and time format](https://tools.ietf.org/html/rfc3339#section-5.6). For
        example,
        *`yyyy`*-*`MM`*-*`dd`*`T`*`HH`*:*`mm`*:*`ss`*.*`SSS`*`Z`.<br/><br/>You
        can specify either but not both the `start_time` and
        `disputed_transaction_id` query parameters.
      deprecated: true
      schema:
        type: string
        minLength: 20
        maxLength: 64
        pattern: >-
          ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$
        default: Current date and time
    disputed_transaction_id:
      name: disputed_transaction_id
      in: query
      description: >-
        Filters the disputes in the response by a transaction, by
        ID.<br/><br/>You can specify either but not both the `start_time` and
        `disputed_transaction_id` query parameter.
      schema:
        type: string
        minLength: 1
        maxLength: 255
        pattern: ^[0-9A-Z_]+$
    page_size:
      name: page_size
      in: query
      description: Limits the number of disputes in the response to this value.
      schema:
        type: integer
        minimum: 1
        maximum: 50
        default: 10
    next_page_token:
      name: next_page_token
      in: query
      description: >-
        The token that describes the next page of results to fetch. The <a
        href="/docs/api/customer-disputes/v1/#disputes_list">list disputes</a>
        call returns this token in the HATEOAS links in the response.
      deprecated: true
      schema:
        type: string
        minLength: 1
        maxLength: 255
        pattern: ^[A-Za-z0-9+\/=]+$
        default: The first page of data
    dispute_state:
      name: dispute_state
      in: query
      description: >-
        Filters the disputes in the response by a state. Separate multiple
        values with a comma (`,`). When you specify more than one dispute_state,
        the response lists disputes that belong to any of the specified
        dispute_state.
      x-enumDescriptions:
        - value: REQUIRED_ACTION
          description: >-
            Filters the disputes in the response to those with the
            <code>REQUIRED_ACTION</code> dispute state.
        - value: REQUIRED_OTHER_PARTY_ACTION
          description: >-
            Filters the disputes in the response to those with the
            <code>REQUIRED_OTHER_PARTY_ACTION</code> dispute state.
        - value: UNDER_PAYPAL_REVIEW
          description: >-
            Filters the disputes in the response to those with the
            <code>UNDER_PAYPAL_REVIEW</code> dispute state.
        - value: RESOLVED
          description: >-
            Filters the disputes in the response to those with the
            <code>RESOLVED</code> dispute state.
        - value: OPEN_INQUIRIES
          description: >-
            Filters the disputes in the response to those with the
            <code>OPEN_INQUIRIES</code> dispute state.
        - value: APPEALABLE
          description: >-
            Filters the disputes in the response to those with the
            <code>APPEALABLE</code> dispute state.
      schema:
        type: string
        minLength: 1
        maxLength: 2000
        pattern: ^[0-9A-Z_]+$
        enum:
          - REQUIRED_ACTION
          - REQUIRED_OTHER_PARTY_ACTION
          - UNDER_PAYPAL_REVIEW
          - RESOLVED
          - OPEN_INQUIRIES
          - APPEALABLE
    update_time_before:
      name: update_time_before
      in: query
      description: >-
        The date and time when the dispute was last updated, in [Internet date
        and time format](https://tools.ietf.org/html/rfc3339#section-5.6). For
        example, *`yyyy`*-*`MM`*-*`dd`*`T`*`HH`*:*`mm`*:*`ss`*.*`SSS`*`Z`.
        update_time_before must be within the last 180 days and the default is
        the current time.
      schema:
        type: string
        minLength: 20
        maxLength: 64
        pattern: >-
          ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$
    update_time_after:
      name: update_time_after
      in: query
      description: >-
        The date and time when the dispute was last updated, in [Internet date
        and time format](https://tools.ietf.org/html/rfc3339#section-5.6). For
        example, *`yyyy`*-*`MM`*-*`dd`*`T`*`HH`*:*`mm`*:*`ss`*.*`SSS`*`Z`.
        update_time_after must be within the last 180 days and the default is
        the maximum time (180 days) supported.
      schema:
        type: string
        minLength: 20
        maxLength: 64
        pattern: >-
          ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$
  schemas:
    dispute_search:
      type: object
      title: Dispute Search Response
      description: >-
        An array of disputes. Includes links that enable you to navigate through
        the response.
      properties:
        items:
          $ref: '#/components/schemas/dispute_info_list'
        links:
          $ref: '#/components/schemas/definitions-link_description_list'
    error:
      type: object
      title: Error
      description: The error details.
      properties:
        name:
          type: string
          description: The human-readable, unique name of the error.
        message:
          type: string
          description: The message that describes the error.
        debug_id:
          type: string
          description: The PayPal internal ID. Used for correlation purposes.
        information_link:
          type: string
          description: >-
            The information link, or URI, that shows detailed information about
            this error for the developer.
          readOnly: true
        details:
          $ref: '#/components/schemas/error_details_list'
        links:
          $ref: '#/components/schemas/link_description_list'
      required:
        - name
        - message
        - debug_id
    dispute_info_list:
      type: array
      minItems: 1
      maxItems: 100
      description: >-
        An array of disputes that match the filter criteria. Sorted in latest to
        earliest creation time order.
      items:
        $ref: '#/components/schemas/dispute_info'
    definitions-link_description_list:
      type: array
      minItems: 1
      maxItems: 10
      description: >-
        An array of request-related [HATEOAS
        links](/docs/api/reference/api-responses/#hateoas-links/).
      readOnly: true
      items:
        $ref: '#/components/schemas/link_description'
    error_details_list:
      type: array
      description: An array of additional details about the error.
      items:
        $ref: '#/components/schemas/error_details-2'
    link_description_list:
      type: array
      description: >-
        An array of request-related [HATEOAS
        links](/api/rest/responses/#hateoas-links).
      readOnly: true
      items:
        $ref: '#/components/schemas/link_description'
    dispute_info:
      type: object
      title: Dispute Summary Information
      description: The dispute summary information.
      properties:
        dispute_id:
          type: string
          minLength: 1
          maxLength: 255
          pattern: ^[A-Za-z0-9-]+$
          readOnly: true
          description: The ID of the dispute.
        create_time:
          $ref: '#/components/schemas/date_time'
          readOnly: true
          description: >-
            The date and time when the dispute was created, in [Internet date
            and time format](https://tools.ietf.org/html/rfc3339#section-5.6).
            For example,
            *`yyyy`*-*`MM`*-*`dd`*`T`*`HH`*:*`mm`*:*`ss`*.*`SSS`*`Z`.
        update_time:
          $ref: '#/components/schemas/date_time'
          readOnly: true
          description: >-
            The date and time when the dispute was last updated, in [Internet
            date and time
            format](https://tools.ietf.org/html/rfc3339#section-5.6). For
            example, *`yyyy`*-*`MM`*-*`dd`*`T`*`HH`*:*`mm`*:*`ss`*.*`SSS`*`Z`.
        reason:
          $ref: '#/components/schemas/dispute_reason'
        status:
          $ref: '#/components/schemas/status'
          readOnly: true
        dispute_state:
          $ref: '#/components/schemas/dispute_state'
          readOnly: true
        dispute_amount:
          $ref: '#/components/schemas/money'
          description: >-
            The amount in the transaction that the customer originally disputed.
            Because customers can sometimes dispute only part of the payment,
            the disputed amount might be different from the total gross or net
            amount of the original transaction.
        dispute_asset:
          $ref: '#/components/schemas/cryptocurrency'
          description: The asset in the transaction that the customer disputed.
        dispute_life_cycle_stage:
          $ref: '#/components/schemas/dispute_lifecycle_stage'
          readOnly: true
        dispute_channel:
          $ref: '#/components/schemas/dispute_channel'
          readOnly: true
        buyer_response_due_date:
          $ref: '#/components/schemas/date_time'
          readOnly: true
          description: >-
            The date and time by when the customer must respond to the dispute,
            in [Internet date and time
            format](https://tools.ietf.org/html/rfc3339#section-5.6). If the
            customer does not respond by this date and time, the dispute is
            closed in the merchant's favor. For example,
            *`yyyy`*-*`MM`*-*`dd`*`T`*`HH`*:*`mm`*:*`ss`*.*`SSS`*`Z`.
        seller_response_due_date:
          $ref: '#/components/schemas/date_time'
          readOnly: true
          description: >-
            The date and time by when the merchant must respond to the dispute,
            in [Internet date and time
            format](https://tools.ietf.org/html/rfc3339#section-5.6). If the
            merchant does not respond by this date and time, the dispute is
            closed in the customer's favor. For example,
            *`yyyy`*-*`MM`*-*`dd`*`T`*`HH`*:*`mm`*:*`ss`*.*`SSS`*`Z`.
        links:
          $ref: '#/components/schemas/definitions-link_description_list'
    link_description:
      type: object
      title: Link Description
      description: >-
        The request-related [HATEOAS link](/api/rest/responses/#hateoas-links)
        information.
      required:
        - href
        - rel
      properties:
        href:
          type: string
          description: >-
            The complete target URL. To make the related call, combine the
            method with this [URI
            Template-formatted](https://tools.ietf.org/html/rfc6570) link. For
            pre-processing, include the `$`, `(`, and `)` characters. The `href`
            is the key HATEOAS component that links a completed call with a
            subsequent call.
        rel:
          type: string
          description: >-
            The [link relation
            type](https://tools.ietf.org/html/rfc5988#section-4), which serves
            as an ID for a link that unambiguously describes the semantics of
            the link. See [Link
            Relations](https://www.iana.org/assignments/link-relations/link-relations.xhtml).
        method:
          type: string
          description: The HTTP method required to make the related call.
          enum:
            - GET
            - POST
            - PUT
            - DELETE
            - HEAD
            - CONNECT
            - OPTIONS
            - PATCH
    error_details-2:
      title: Error Details
      type: object
      description: The error details. Required for client-side `4XX` errors.
      properties:
        field:
          type: string
          description: >-
            The field that caused the error. If this field is in the body, set
            this value to the field's JSON pointer value. Required for
            client-side errors.
        value:
          type: string
          description: The value of the field that caused the error.
        location:
          type: string
          description: >-
            The location of the field that caused the error. Value is `body`,
            `path`, or `query`.
          default: body
        issue:
          type: string
          description: The unique, fine-grained application-level error code.
        description:
          type: string
          description: >-
            The human-readable description for an issue. The description can
            change over the lifetime of an API, so clients must not depend on
            this value.
      required:
        - issue
    date_time:
      type: string
      description: >-
        The date and time, in [Internet date and time
        format](https://tools.ietf.org/html/rfc3339#section-5.6). Seconds are
        required while fractional seconds are
        optional.<blockquote><strong>Note:</strong> The regular expression
        provides guidance but does not reject all invalid dates.</blockquote>
      format: ppaas_date_time_v3
      minLength: 20
      maxLength: 64
      pattern: >-
        ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$
    dispute_reason:
      type: string
      minLength: 1
      maxLength: 255
      pattern: ^[0-9A-Z_]+$
      title: Dispute Reason
      description: >-
        The reason for the item-level dispute. For information about the
        required information for each dispute reason and associated evidence
        type, see <a
        href="/docs/integration/direct/customer-disputes/integration-guide/#dispute-reasons">dispute
        reasons</a>.
      x-enumDescriptions:
        - value: MERCHANDISE_OR_SERVICE_NOT_RECEIVED
          description: The customer did not receive the merchandise or service.
        - value: MERCHANDISE_OR_SERVICE_NOT_AS_DESCRIBED
          description: >-
            The customer reports that the merchandise or service is not as
            described.
        - value: UNAUTHORISED
          description: >-
            The customer did not authorize purchase of the merchandise or
            service.
        - value: CREDIT_NOT_PROCESSED
          description: The refund or credit was not processed for the customer.
        - value: DUPLICATE_TRANSACTION
          description: The transaction was a duplicate.
        - value: INCORRECT_AMOUNT
          description: The customer was charged an incorrect amount.
        - value: PAYMENT_BY_OTHER_MEANS
          description: The customer paid for the transaction through other means.
        - value: CANCELED_RECURRING_BILLING
          description: >-
            The customer was being charged for a subscription or a recurring
            transaction that was canceled.
        - value: PROBLEM_WITH_REMITTANCE
          description: A problem occurred with the remittance.
        - value: OTHER
          description: Other.
      enum:
        - MERCHANDISE_OR_SERVICE_NOT_RECEIVED
        - MERCHANDISE_OR_SERVICE_NOT_AS_DESCRIBED
        - UNAUTHORISED
        - CREDIT_NOT_PROCESSED
        - DUPLICATE_TRANSACTION
        - INCORRECT_AMOUNT
        - PAYMENT_BY_OTHER_MEANS
        - CANCELED_RECURRING_BILLING
        - PROBLEM_WITH_REMITTANCE
        - OTHER
    status:
      type: string
      minLength: 1
      maxLength: 255
      readOnly: true
      pattern: ^[0-9A-Z_]+$
      description: >-
        The overall status of the dispute, constant for all the parties involved
        at anytime during the dispute lifecycle.
      x-enumDescriptions:
        - value: OPEN
          description: The dispute is open.
        - value: WAITING_FOR_BUYER_RESPONSE
          description: The dispute is waiting for a response from the customer.
        - value: WAITING_FOR_SELLER_RESPONSE
          description: The dispute is waiting for a response from the merchant.
        - value: UNDER_REVIEW
          description: The dispute is under review with PayPal.
        - value: RESOLVED
          description: The dispute is resolved.
        - value: OTHER
          description: >-
            The default status if the dispute does not have one of the other
            statuses.
      enum:
        - OPEN
        - WAITING_FOR_BUYER_RESPONSE
        - WAITING_FOR_SELLER_RESPONSE
        - UNDER_REVIEW
        - RESOLVED
        - OTHER
    dispute_state:
      type: string
      minLength: 1
      maxLength: 255
      pattern: ^[0-9A-Z_]+$
      title: Dispute State
      description: >-
        The user specific state of the dispute, could vary between parties
        during the dispute lifecycle.
      x-enumDescriptions:
        - value: OPEN_INQUIRIES
          description: The dispute is open.
        - value: REQUIRED_ACTION
          description: The dispute is waiting for a response.
        - value: REQUIRED_OTHER_PARTY_ACTION
          description: The dispute is waiting for a response from other party.
        - value: UNDER_PAYPAL_REVIEW
          description: The dispute is under review with PayPal.
        - value: APPEALABLE
          description: The dispute can be appealed.
        - value: RESOLVED
          description: The dispute is resolved.
      enum:
        - OPEN_INQUIRIES
        - REQUIRED_ACTION
        - REQUIRED_OTHER_PARTY_ACTION
        - UNDER_PAYPAL_REVIEW
        - APPEALABLE
        - RESOLVED
    money:
      type: object
      title: Money
      description: >-
        The currency and amount for a financial transaction, such as a balance
        or payment due.
      properties:
        currency_code:
          $ref: '#/components/schemas/currency_code'
        value:
          type: string
          description: >-
            The value, which might be:<ul><li>An integer for currencies like
            `JPY` that are not typically fractional.</li><li>A decimal fraction
            for currencies like `TND` that are subdivided into
            thousandths.</li></ul>For the required number of decimal places for
            a currency code, see [Currency
            Codes](/api/rest/reference/currency-codes/).
          maxLength: 32
          pattern: ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$
      required:
        - currency_code
        - value
    cryptocurrency:
      type: object
      title: Cryptocurrency
      description: >-
        The details needed to represent a specific cryptocurrency balance, such
        as its symbol and quantity.
      properties:
        asset_symbol:
          $ref: '#/components/schemas/cryptocurrency_symbol'
        quantity:
          $ref: '#/components/schemas/cryptocurrency_quantity'
        quantity_in_subunits:
          $ref: '#/components/schemas/cryptocurrency_subunits_quantity'
        decimals:
          $ref: '#/components/schemas/cryptocurrency_decimals'
      required:
        - asset_symbol
        - quantity
    dispute_lifecycle_stage:
      type: string
      minLength: 1
      maxLength: 255
      pattern: ^[0-9A-Z_]+$
      readOnly: true
      description: The stage in the dispute lifecycle.
      x-enumDescriptions:
        - value: INQUIRY
          description: >-
            A customer and merchant interact in an attempt to resolve a dispute
            without escalation to PayPal. Occurs when the customer:<ul><li>Has
            not received goods or a service.</li><li>Reports that the received
            goods or service are not as described.</li><li>Needs more details,
            such as a copy of the transaction or a receipt.</li></ul>
        - value: CHARGEBACK
          description: >-
            A customer or merchant escalates an inquiry to a claim, which
            authorizes PayPal to investigate the case and make a determination.
            Occurs only when the dispute channel is <code>INTERNAL</code>. This
            stage is a PayPal dispute lifecycle stage and not a credit card or
            debit card chargeback. All notes that the customer sends in this
            stage are visible to PayPal agents only. The customer must wait for
            PayPal’s response before the customer can take further action. In
            this stage, PayPal shares dispute details with the merchant, who can
            complete one of these actions:<ul><li>Accept the
            claim.</li><li>Submit evidence to challenge the claim.</li><li>Make
            an offer to the customer to resolve the claim.</li></ul>
        - value: PRE_ARBITRATION
          description: >-
            The first appeal stage for merchants. A merchant can appeal a
            chargeback if PayPal's decision is not in the merchant's favor. If
            the merchant does not appeal within the appeal period, PayPal
            considers the case resolved.
        - value: ARBITRATION
          description: >-
            The second appeal stage for merchants. A merchant can appeal a
            dispute for a second time if the first appeal was denied. If the
            merchant does not appeal within the appeal period, the case returns
            to a resolved status in pre-arbitration stage.
      enum:
        - INQUIRY
        - CHARGEBACK
        - PRE_ARBITRATION
        - ARBITRATION
    dispute_channel:
      readOnly: true
      type: string
      minLength: 1
      maxLength: 255
      pattern: ^[A-Z0-9_]+$
      description: The channel where the customer created the dispute.
      x-enumDescriptions:
        - value: INTERNAL
          description: The customer contacts PayPal to file a dispute with the merchant.
        - value: EXTERNAL
          description: The customer contacts their card issuer or bank to request a refund.
        - value: ALERT
          description: >-
            Pre-chargeback alert when customer contacts their card issuer to
            request a refund.
      enum:
        - INTERNAL
        - EXTERNAL
        - ALERT
    currency_code:
      description: >-
        The [three-character ISO-4217 currency
        code](/api/rest/reference/currency-codes/) that identifies the currency.
      type: string
      format: ppaas_common_currency_code_v2
      minLength: 3
      maxLength: 3
    cryptocurrency_symbol:
      description: >-
        The cryptocurrency symbol or code ticker options. Assigned by liquidity
        providers and exchanges.
      type: string
      minLength: 1
      maxLength: 10
      pattern: ^[0-9A-Za-z]{1,10}$
      x-enum-skip-validation: true
      x-enumDescriptions:
        - value: BTC
          description: >-
            The ticker symbol for <b>Bitcoin</b>.
            https://en.wikipedia.org/wiki/Bitcoin.
        - value: ETH
          description: >-
            The ticker symbol for <b>Ethereum</b>.
            https://en.wikipedia.org/wiki/Ethereum.
        - value: BCH
          description: >-
            The ticker symbol for <b>Bitcoin Cash</b>.
            https://en.wikipedia.org/wiki/Bitcoin_Cash.
        - value: LTC
          description: >-
            The ticker symbol for <b>Litecoin</b>.
            https://en.wikipedia.org/wiki/Litecoin.
        - value: PYUSD
          description: >-
            The ticker symbol for <b>PayPal Coin</b>.
            https://engineering.paypalcorp.com/confluence/display/BCDC/PayPal+Digital+Coin+%28PPDC%29+-+USDP+-+Top+Down+View+of+Requirements.
        - value: LINK
          description: >-
            The ticker symbol for <b>Chainlink</b>.
            https://en.wikipedia.org/wiki/Chainlink_(blockchain).
        - value: SOL
          description: >-
            The ticker symbol for <b>Solana</b>.
            https://en.wikipedia.org/wiki/Solana_(blockchain_platform).
        - value: MATIC
          description: The ticker symbol for Polygon.
      enum:
        - BTC
        - ETH
        - BCH
        - LTC
        - PYUSD
        - LINK
        - SOL
        - MATIC
    cryptocurrency_quantity:
      type: string
      minLength: 1
      maxLength: 40
      pattern: ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$
      description: >-
        The quantity of a cryptocurrency asset. This is a decimal number with a
        scale defined for each cryptocurrency by its founders. For example,
        Bitcoin (BTC) has 8 as its scale, Ethereum (ETH) has 18 as its scale.
        The PayPal Cryptocurrency platform handles the scale to 8 digits for
        Bitcoin. including its forks or offshoots, as well as Ethereum.
    cryptocurrency_subunits_quantity:
      title: Cryptocurrency Quantity Subunits
      type: string
      minLength: 1
      maxLength: 81
      pattern: ^-?[0-9]+$
      description: >-
        The quantity of a cryptocurrency asset in the currency's sub
        units.<br/>Amount is an integer in a string format.<br/>Floating point
        should be avoided to avoid precision errors. For example:
        <li>Bitcoin(BTC) has 8 decimals,</li> so 1 BTC will be represented as
        100000000 (1 followed by 8 zeroes). <li>Ethereum(ETH) has 18
        decimals,</li> so 1 ETH will be represented as 1000000000000000000 (1
        followed by 18 zeroes).
    cryptocurrency_decimals:
      description: >-
        The number of decimal digits supported by this cryptocurrency. For
        example, for Bitcoin this value is 8 because there are 10^8 satoshis in
        one Bitcoin and for Ethereum it's 18 since there are 10^18 wei in one
        Ether.
      title: Decimals
      type: integer
      minimum: 0
      maximum: 40
  securitySchemes:
    Oauth2:
      type: oauth2
      description: Oauth 2.0 authentication
      flows:
        clientCredentials:
          tokenUrl: /v1/oauth2/token
          scopes:
            https://uri.paypal.com/services/disputes/read-seller: >-
              This privilege allows client to read and search a disputes of a
              merchant but gets only a limited and allowed set of fields back .
            https://uri.paypal.com/services/disputes/read-buyer: >-
              This privilege allows client to read and search disputes but
              returns a limited and allowed set of fields back.
            https://uri.paypal.com/services/disputes/read-ebay: >-
              This privilege allows client to read and search a disputes of an
              user but gets only a limited and allowed set of fields back to
              ebay.
            https://uri.paypal.com/services/disputes/read: >-
              This privilege allows client to read and search a dispute of an
              user with all fields.
            https://uri.paypal.com/services/disputes/webhooks: This privilege allows webhook platform to read a dispute event
            https://uri.paypal.com/services/disputes/create: >-
              This privilege allows client to validate eligibility and create a
              dispute on his transaction(s).
            https://uri.paypal.com/services/disputes/update-seller: >-
              This privilege allows client to update a dispute (Merchant
              actions).
            https://uri.paypal.com/services/disputes/update-buyer: >-
              This privilege allows client to update a dispute (customer
              actions).
            https://uri.paypal.com/services/referred-disputes/readwrite: >-
              This privilege allows client to read and update a referred
              dispute.
            https://uri.paypal.com/services/disputes/read-partner: >-
              This privilege allows client to read and search disputes but
              returns a limited and allowed set of fields back.
            https://uri.paypal.com/services/disputes/update-partner: >-
              This privilege allows client to update a dispute (Partner
              actions).

````